Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 84833 - Make X server have configurable nice level
Summary: Make X server have configurable nice level
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: XFree86
Version: 1.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mike A. Harris
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks: 84482
TreeView+ depends on / blocked
 
Reported: 2003-02-21 20:42 UTC by Mike A. Harris
Modified: 2007-04-18 16:51 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-01-10 17:24:40 UTC


Attachments (Terms of Use)

Description Mike A. Harris 2003-02-21 20:42:52 UTC
Add config file option and commandline option to X server to control
the Xserver's nice/priority level.

Comment 1 Mike A. Harris 2003-02-21 20:44:48 UTC
This is needed in order to improve interactive performance of the server,
since everything using Xft/RENDER combination now slows down things somewhat.

I've got a patch half written to add this support.  Just need to finish the
final touches off and test.

Comment 3 Ingo Molnar 2003-02-22 09:49:39 UTC
This feature would solve various interactivity complaints, eg. the one described
in #84482.

Comment 7 Mike A. Harris 2003-03-16 21:47:32 UTC
As mentioned in IRC a while ago....  I don't track every change to the
kernel, so there's no way I'd have known that without someone telling me.

Still leaving it open for consideration for future if warranted.

Comment 8 Mike A. Harris 2003-09-01 21:44:20 UTC
Ping of curiousity for the kernel folk...

Is this feature still considered worthy of implementation, or is the common
concensus now that this is something the kernel should deal with in the
scheduler?

Comment 9 Mike A. Harris 2004-01-10 17:24:40 UTC
I believe the conclusions everyone came to in email/IRC about this,
was that the 2.6.x kernel, and later 2.4.x kernels have solved the
interactivity problem, and renicing the X server is unnecessary and
not wanted anymore.

Closing as WONTFIX


Note You need to log in before you can comment on or make changes to this bug.